#! /bin/bash
Encoding=UTF-8

FILE1=/etc/X11/xorg.conf
FILE2=/etc/fstab
FILE3=/boot/grub/menu.lst
FILE6=/etc/rc.d/rc.local
FILE8=/root/.bashrc
FILE9=/root/.bashrc

export MAIN_DIALOG='
<window window_position="1" title="System Tools">

<vbox>
  <hbox homogeneous="True">
    <frame>
    <hbox homogeneous="True">
      <hbox>
        <button>
          <input file>"/usr/share/midi-icons/console48.png"</input>
          <action>rxvt &</action>
        </button>  
      </hbox>

      <vbox homogeneous="True">
        <button>
          <label>TOP</label>
          <action>rxvt -e top &</action>
        </button>

        <button>
          <label>HTOP</label>
          <action>rxvt -e htop &</action>
        </button>
      </vbox>
    </hbox>
    </frame>

    <vbox>
      <frame Kernel messages>

        <button>
          <label>View messages</label>
          <action>dmesg | zenity --text-info  --width=700 --height=500 --title $"View kernel messages" &</action>
        </button>

        <entry><variable>VAR2</variable></entry>

        <hbox>
          <button>
            <label>search</label>
            <input file icon="gtk-find"></input>
            <action>dmesg | grep $VAR2 | zenity --text-info  --width=700 --height=500 --title $"$VAR2 in kernel messages" &</action>
          </button>

          <button>
            <label>search & save</label>
            <input file icon="gtk-find-and-replace"></input>
            <action>dmesg | grep $VAR2 > '$HOME'/dmesg_output_$VAR2.txt &</action>
            <action>'$HOME'/dmesg_output_$VAR2.txt</action>
          </button>
        </hbox>
        </frame>
      </vbox>
    </hbox>

    <frame Commands Information>
    <hbox>
      <text> <label>Command:</label> </text>
      <entry><variable>VAR1</variable></entry>
    </hbox>

    <hbox>
      <button>
        <label>Help</label>
        <action>$VAR1 --help | zenity --text-info --width=600 --height=600 --title $"Help" &</action>
      </button>

      <button>
        <label>Whereis</label>
        <action>which $VAR1 | zenity --text-info --width=200 --height=200 --title $"Version" &</action>
      </button>

      <button>
        <label>Which</label>
        <action>which $VAR1 | zenity --text-info --width=200 --height=200 --title $"Version" &</action>
      </button>

      <button>
        <label>Version</label>
        <action>$VAR1 --version | zenity --text-info --width=200 --height=200 --title $"Version" &</action>
      </button>

      <button>
        <label>Manual</label>
        <action>urxvt -e pman $VAR1 | zenity --text-info --width=400 --height=500 --title $"Manual" &</action>
      </button>

    </hbox>
    </frame>
    <hbox homogeneous="True">

    <frame>
      <vbox>
        <button>
          <input file icon="gtk-info"></input>
          <label>Sensors</label>
          <action>sensors | zenity --text-info  --width=700 --height=500 --title $"Sensors" &</action>
        </button>

        <button>
          <input file icon="gtk-network"></input>
          <label>Ethernet Interfaces</label>
          <action>ifconfig | zenity --text-info  --width=700 --height=500 --title $"View an ethernet network interface" &</action>
        </button>

        <button>
          <input file icon="gtk-network"></input>
          <label>Wireless Interfaces</label>
          <action>iwconfig | zenity --text-info  --width=700 --height=500 --title $"Current wireless network interface" &</action>
        </button>

        <button>
          <input file>"/usr/share/midi-icons/word24.png"</input>
          <label>Bootkernel log</label>
          <action>zenity --title="Bootkernel Log" --text-info --width 500 --height 400 --filename='"/tmp/bootkernel.log"' &</action>
        </button>

        <button>
          <input file>"/usr/share/midi-icons/utility24.png"</input>
          <label>Hardware information </label>
          <action>hardinfo &</action>
        </button>


        <button>
          <input file>"/usr/share/midi-icons/word24.png"</input>
          <label>PCI devices</label>
          <action>lspci | zenity --text-info  --width=700 --height=500 --title $"PCI devices" &</action>
        </button>
      </vbox>
    </frame>

    <frame>
      <vbox>
        <hbox>
          <pixmap>
            <input file>"/usr/share/midi-icons/pc24.png"</input>
          </pixmap>

          <menubar>
          <menu>
            <menuitem>
              <label>Running kernel</label>
              <action>uname -a | zenity --text-info  --width=900 --height=20 --title $"Current running kernel" &</action>
            </menuitem>


            <menuitem>
              <label>Show Path</label>
              <action>echo '$PATH' | zenity --text-info  --width=900 --height=10 --title $"PATH" &</action>
            </menuitem>
          <label>System Information</label>
          </menu>
          </menubar>
        </hbox>

        <hbox>
          <pixmap>
            <input file>"/usr/share/midi-icons/puppy_menu_logo.png"</input>
          </pixmap>

          <menubar>
          <menu>
            <menuitem>
              <label>View Installed Applications</label>
			  <action>/usr/local/petget/finduserinstalledpkgs.sh</action>
            <action>zenity --title="Installed Packages" --text-info --width 500 --height 400 --filename='"/tmp/installedpkgs.results"' &</action>
            </menuitem>


          <label>Installed Applications</label>
          </menu>
          </menubar>
        </hbox>

        <hbox>
          <pixmap>
            <input file>"/usr/share/midi-icons/drives24.png"</input>
          </pixmap>

          <menubar>
          <menu>
            <menuitem>
              <label>Hard drive partitions</label>
              <action>kdesu "fdisk -l | zenity --text-info  --width=700 --height=500 --title $"Hard drive partitions"" &</action>
            </menuitem>

            <menuitem>
              <label>Hard drive UUID</label>
              <action>blkid | zenity --text-info  --width=700 --height=500 --title $"Hard Drive UUID" &</action>
            </menuitem>

              <menuitem>
              <label>Current mount points</label>
              <action>mount | zenity --text-info  --width=700 --height=500 --title $"Current mount points" & </action>
            </menuitem>

            <menuitem>
              <label>Available disk space</label>
              <action>df -h | zenity --text-info  --width=700 --height=500 --title $"Available disk space"  &</action>
            </menuitem>

            <menuitem>
              <label>Connected USB devices</label>
              <action>lsusb | zenity --text-info  --width=700 --height=500 --title $"Connected USB devices" &</action>
            </menuitem>

          <label>Devices</label>
          </menu>
          </menubar>
        </hbox>

        <hbox>
          <pixmap>
            <input file>"/usr/share/midi-icons/console24.png"</input>
          </pixmap>

          <menubar>
          <menu>
            <menuitem>
              <label>X-Server information</label>
              <action>xdpyinfo | zenity --text-info  --width=700 --height=500 --title $"Information about the X-server" &</action>
            </menuitem>

            <menuitem>
              <label>GLX/OpenGL Information</label>
              <action>glxinfo | zenity --text-info  --width=700 --height=500 --title $"Information about glx and opengl" & </action>
            </menuitem>

          <label>X-Server</label>
          </menu>
          </menubar>
        </hbox>

        <hbox>
          <pixmap>
            <input file>"/usr/share/midi-icons/chat24.png"</input>
          </pixmap>

          <menubar>
          <menu>
            <menuitem>
              <label>Group memberships</label>
              <action>groups | zenity --text-info  --width=700 --height=100 --title $"View group memberships" &</action>
            </menuitem>

            <menuitem>
              <label>Groups</label>
              <action>cat /etc/group | zenity --text-info  --width=700 --height=500 --title $"View Groups" &</action>
            </menuitem>

          <label>Groups</label>
          </menu>
          </menubar>
        </hbox>

        <button>
          <label>Loaded modules</label>
          <action>lsmod | zenity --text-info  --width=700 --height=500 --title $"View loaded modules" &</action>
        </button>


      </vbox>
    </frame>
    </hbox>

    <hbox>
      <frame System Files>
        <hbox>
          <button><label>'"$FILE1"'</label><action>zenity --title='"$FILE1"' --text-info --width 500 --height 400 --filename='"$FILE1"' &</action></button>
          <button><input file>"/usr/share/midi-icons/console24.png"</input></button>
        </hbox>

        <hbox>
          <button><label>'"$FILE2"'</label><action>zenity --title='"$FILE2"' --text-info --width 500 --height 400 --filename='"$FILE2"' &</action></button>
          <button><input file>"/usr/share/midi-icons/word24.png"</input><action>kdesu "kate '"$FILE2"'" &</action></button>
        </hbox>

        <hbox>
          <button><label>'"$FILE3"'</label><action>zenity --title='"$FILE3"' --text-info --width 500 --height 400 --filename='"$FILE3"' &</action></button>
          <button><input file>"/usr/share/midi-icons/word24.png"</input><action>kdesu "kate '"$FILE3"'" &</action></button>
        </hbox>

      </frame>

      <frame>

        <hbox>
          <button><label>'"$FILE6"'</label><action>zenity --title='"$FILE6"' --text-info --width 500 --height 400 --filename='"$FILE6"' &</action></button>
          <button><input file>"/usr/share/midi-icons/word24.png"</input><action>kdesu "kate '"$FILE6"'" &</action></button>
        </hbox>


        <hbox>
          <button>
            <label>'"$FILE8"'</label>
            <action>zenity --title='"$FILE8"' --text-info --width 500 --height 400 --filename='"$FILE8"' &</action>
          </button>

          <button>
            <input file>"/usr/share/midi-icons/home24.png"</input>
          </button>

        </hbox>
      </frame>
    </hbox>

    <frame>
    <hbox homogeneous="True">
      <button>
        <input file icon="gtk-info"></input>
        <action>zenity --info --text="This utility was found at PCLinuxOS Magazine: \\n\\nand originally written by musonio.: \\n\\nI modified it somewhat to work with Puppy Linux: \\n\\n with Lupu 520 as my base.: \\n\\n  Feel free to use it or modify it as you wish. \\n\\nLink is http://pclosmag.com/html/issues/200910/page21.html \\n\\n8-bit"</action>
      </button>

      <text use-markup="true"><label>"<span color='"'blue'"' font-family='"'purisa'"' weight='"'bold'"' size='"'large'"'><small>System Tools</small></span>"</label></text>

      <button>
   <input file icon="gtk-quit"></input>
        <action type="exit">exit 0</action>
      </button>
    </hbox>
    </frame>
  </vbox>
  </window>
  '

  gtkdialog --program=MAIN_DIALOG
